# Uses of Class
javafx.css.Selector

Packages that use Selector
Package
Description
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.

## Uses of Selector in javafx.css

Subclasses of Selector in javafx.css
Modifier and Type
Class
Description
`final class`
`CompoundSelector`
A compound selector which behaves according to the CSS standard.
`final class`
`SimpleSelector`
A simple selector which behaves according to the CSS standard.
Methods in javafx.css that return Selector
Modifier and Type
Method
Description
`static Selector`
Selector.`createSelector(String cssSelector)`
`Selector`
Match.`getSelector()`
`Selector`
Style.`getSelector()`
A selector might have more than one selector.
Methods in javafx.css that return types with arguments of type Selector
Modifier and Type
Method
Description
`final ObservableList<Selector>`
Rule.`getSelectors()`
This method is to support tooling that may want to add selectors to or remove selectors from a Rule.
Constructors in javafx.css with parameters of type Selector
Modifier
Constructor
Description
``
`Style(Selector selector, Declaration declaration)`